/* POSTS.PHP SECTION */

.posts-wrapper {
    margin: 20px 0;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.posts-title {
    font-size: 22px;
    font-weight: 700;
    color: #fff;
    padding-left: 20px;
}

.posts-top-divider,
.posts-bottom-divider {
    border: 0;
    height: 1px;
    background: #444;
    margin: 10px 0 20px;
}

.posts-container {
    display: flex;
    gap: 20px;
}

.post-card {
    border-radius: 8px;
    padding: 20px;
    width: 242px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(10px);
    transition: transform 0.3s ease;
    height: 442px;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    justify-content: space-between;
    background: #151618;
    border: 1px solid #444;
}

.post-card:hover {
    transform: scale(1.02);
}

.post-content {
    padding: 15px;
}

.post-date {
    font-size: 14px;
    color: #ddd;
}

.post-image {
    position: relative;
    padding-top: 56.25%; 
}

.post-image img {
    position: absolute; 
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; 
}

.post-card-title h2 {
    font-size: 20px;
    margin: 0 0 10px 0;
    color: #ffffff;
    word-wrap: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
}

.post-card-title {
    text-align: center;
}

.post-description {
    font-size: 16px;
    color: #ccc;
    line-height: 1.4;
    overflow: hidden;
    margin-bottom: 10px;
}

.more-button-container {
    display: flex;
    justify-content: flex-end;
}

.more-button {
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    text-decoration: none;
    padding: 10px 20px;
    border-radius: 4px;
    font-size: 14px;
    font-weight: 600;
    transition: background-color 0.3s ease;
}

.more-button:hover {
    background: #3a3b40;
    color: #f0a500;
    transition: color 0.3s;
}

.title-post-divider {
    background: #444;
    margin: 10px auto;
    height: 2px;
}

@media (max-width: 1024px) {

    .posts-container {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }

    .posts-top-divider,
    .posts-bottom-divider {
        height: 2px;
    }

    .post-link {
        width: 90%;
    }

    .post-card {
        flex-direction: row;
        border-radius: 0;
        padding: 10px;
        width: 100%;
        height: auto; 
        margin-bottom: 10px;

    }

    .post-image {
        width: 35%;
        padding-top: 0;
        height: auto;
        margin-right: 10px;
        overflow: hidden;
        position: relative;
        border-radius: 0;
    }

    .post-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 0;
    }

    .post-content {
        text-align: center;
        width: 65%;
        height: 120px;
    }

    .post-date {
        font-size: 12px;
        color: #ddd;
        margin-top: 10px;
        margin-bottom: 5px;
    }

    .more-button-container {
        margin-top: 20px;
    }
}

@media (max-width: 767.98px) {
    
    .post-card {
        width: 95%;
    }

    .post-card-title h2 {
        font-size: 16px;
        margin: 0;
    }

    .post-content {
        justify-content: center;
        align-items: center;
        padding: 15px;
        display: flex;
        height: 70px;
    }
    
    .post-description {
        display: none;
    }

}